/*-------------------------------------------------------------------------
 * 功能描述：TypeDefinition
 * 作者：xulisong
 * 创建时间： 2019/6/12 10:12:56
 * 版本号：v1.0
 *  -------------------------------------------------------------------------*/

using System.ComponentModel;

namespace JBIM.Definition
{
    /*
      类型Id范围：[-10000，-19999)
      {Id:"xxxxxx",ElementType:"Connector"}
      //或者硬编码成枚举，或者使用配置文件存储
     */
    /// <summary>
    /// 类型定义
    /// </summary>
    public enum TypeDefinition
    {
        [Description("BimObject")]
        BimObject = -10000,
        [Description("Connector")]
        Connector,
        [Description("Duct")]
        Duct ,
        [Description("Pipe")]
        Pipe ,
        [Description("Space")]
        Space,
        [Description("MepSystem")]
        MepSystem,
        [Description("MepSystemType")]
        MepSystemType ,
        [Description("BoundarySegment")]
        BoundarySegment,
        [Description("Equipment")]
        Equipment,
        [Description("EquipPart")]
        EquipPart,
        [Description("Column")]
        Column,

        [Description("Wall")]
        Wall,
        [Description("VirtualWall")]
        VirtualWall,
        [Description("Window")]
        Window,
        [Description("Door")]
        Door,
        [Description("Other")]
        Other,

        [Description("Unit")]
        Unit,
        [Description("Grid")]
        Grid,
        [Description("Level")]
        Level,

        #region 关系类型相关
        [Description("Relationship")]
        Relationship = -25000,
        [Description("MepSystem")]
        Property_MepSystem ,
        [Description("Owner")]
        Property_Owner,
        [Description("TypeId")]
        Property_TypeId ,
        [Description("ConnectedIds")]
        Property_ConnectedIds,
        [Description("Host")]
        Property_Host ,
        [Description("Reference")]
        Property_Reference,
        #endregion
    }
}
